%define	name	dpsftp
%define	version	0.4.1
%define	release	1
%define	serial	1

Summary:	DPS-FTP is a clone of Bulletproof Software's Bulletproof FTP.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		X11/Utilities
URL:		http://home.olemiss.edu/~epgilles/dpsftp
Vendor:		Eric Gillespie Jr. <epgilles@olemiss.edu>
Source:		%{name}-%{version}.tar.gz
Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>
Obsoletes:	kftp
Requires:	gtk+ >= 1.1.12
BuildRoot:	/tmp/%{name}-%{version}

%description
This program used to be called Kevlar FTP, but DuPont told me I had to
stop using their trademark to advertise my product. Okay, fine, so now
it's called DPS-FTP.

DPS-FTP is a clone of Bulletproof Software's Bulletproof FTP.
I plan to implement all features of Bulletproof FTP, and more.
In the meantime, what you get is a fairly nice looking FTP client that
can navigate remote hosts and download files. Uploading, symbolic links,
and the transfer queue are all in the future. Be patient :).

%package	static
Summary:	DPS-FTP is a clone of Bulletproof Software's Bulletproof FTP.
Serial:		%{serial}
Group:		X11/Utilities
Obsoletes:	kftp-static
Conflicts:	%{name}

%description	static
This program used to be called Kevlar FTP, but DuPont told me I had to
stop using their trademark to advertise my product. Okay, fine, so now
it's called DPS-FTP.

DPS-FTP is a clone of Bulletproof Software's Bulletproof FTP.
Anyway, I plan to implement all features of Bulletproof FTP, and more.
In the meantime, what you get is a fairly nice looking FTP client that
can navigate remote hosts and download files. Uploading, symbolic links,
and the transfer queue are all in the future. Be patient :).

  ### Statically Compiled ###

%prep
%setup -q
CFLAGS=$RPM_OPT_FLAGS \
	./configure --prefix=/usr

%build
make
mv src/dpsftp src/dpsftp-dyn
make CC="gcc --static"
mv src/dpsftp src/dpsftp-static
mv src/dpsftp-dyn src/dpsftp

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/bin
make prefix=$RPM_BUILD_ROOT/usr install
install -s -m 775 src/dpsftp-static $RPM_BUILD_ROOT/usr/bin

%post	static
if [ ! -e /usr/bin/%{name} ]; then
	cd /usr/bin;
	ln -s %{name}-static %{name};
fi

%preun	static
if [ -L /usr/bin/%{name} ]; then
	rm /usr/bin/%{name};
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
/usr/bin/dpsftp
/usr/share/pixmaps/dpsftp

%files	static
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
/usr/bin/dpsftp-static
/usr/share/pixmaps/dpsftp

%changelog
* Thu Mar 18 1999 Ryan Weaver <ryanw@infohwy.com>
  [dpsftp-0.4.1-1]
- Changed Program name to DPS-FTP.

* Thu Mar 18 1999 Ryan Weaver <ryanw@infohwy.com>
  [kftp-0.4.0-2]
- Made statically compiled package.

* Wed Mar 17 1999 Ryan Weaver <ryanw@infohwy.com>
  [kftp-0.4.0-1]
- Initial RPM Build
- Probably the most obvious change in 0.4 is Gnome.
- The toolbar was reorganized and simplified.
- The queue now works, and all file transferring was
  moved into one source file.
